org.apache.ignite.internal.processors.igfs

## Class IgfsManager

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsManager

Direct Known Subclasses:
  IgfsDataManager, IgfsFragmentizerManager, IgfsMetaManager, IgfsServerManager

    public abstract class IgfsManager
    extends Object

Abstract class for IGFS managers.

### Field Summary

Fields
`protected IgfsContext` `igfsCtx` IGFS context.
`protected IgniteLogger` `log` Logger.

### Constructor Summary

Constructors
Constructor and Description
`IgfsManager()`

### Method Summary

Methods
`protected String` `kernalStartInfo()`
`protected String` `kernalStopInfo()`
`void` `onKernalStart()`
`protected void` `onKernalStart0()`
`void` `onKernalStop(boolean cancel)`
`protected void` `onKernalStop0(boolean cancel)`
`void` `start(IgfsContext igfsCtx)` Called when IGFS processor is started.
`protected void` `start0()` Start manager implementation.
`protected String` `startInfo()`
`void` `stop(boolean cancel)` Stops manager.
`protected void` `stop0(boolean cancel)` Stop manager implementation.
`protected String` `stopInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### igfsCtx

    protected IgfsContext igfsCtx

IGFS context.

#### log

    protected IgniteLogger log

Logger.

### Constructor Detail

#### IgfsManager

    public IgfsManager()

### Method Detail

#### start

    public void start(IgfsContext igfsCtx)
               throws IgniteCheckedException

Called when IGFS processor is started.

Parameters:
  `igfsCtx` - IGFS context.
Throws:
  `IgniteCheckedException`

#### stop

    public final void stop(boolean cancel)

Stops manager.

Parameters:
  `cancel` - Cancel flag.

#### onKernalStart

    public final void onKernalStart()
                             throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop

    public final void onKernalStop(boolean cancel)

Parameters:
  `cancel` - Cancel flag.

#### start0

    protected void start0()
                   throws IgniteCheckedException

Start manager implementation.

Throws:
  `IgniteCheckedException`

#### stop0

    protected void stop0(boolean cancel)

Stop manager implementation.

Parameters:
  `cancel` - Cancel flag.

#### onKernalStart0

    protected void onKernalStart0()
                           throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

#### startInfo

    protected String startInfo()

Returns:
  Start info.

#### stopInfo

    protected String stopInfo()

Returns:
  Stop info.

#### kernalStartInfo

    protected String kernalStartInfo()

Returns:
  Start info.

#### kernalStopInfo

    protected String kernalStopInfo()

Returns:
  Stop info.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015